Qwt User's Guide: QwtPlotGraphicItem Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtPlotGraphicItem Class Reference

A plot item, which displays a recorded sequence of QPainter commands. More...

`#include <qwt_plot_graphicitem.h>`

Inheritance diagram for QwtPlotGraphicItem:

## Public Member Functions
| QwtPlotGraphicItem (const QString &title=QString())
| Constructor.
| QwtPlotGraphicItem (const QwtText &title)
| Constructor.
virtual | ~QwtPlotGraphicItem ()
| Destructor.
void | setGraphic (const QRectF &rect, const QwtGraphic &)
QwtGraphic | graphic () const
virtual QRectF | boundingRect () const override
| Bounding rectangle of the item.
virtual void | draw (QPainter *, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect) const override
virtual int | rtti () const override
Public Member Functions inherited from QwtPlotItem
| QwtPlotItem ()
| QwtPlotItem (const QString &title)
| QwtPlotItem (const QwtText &title)
virtual | ~QwtPlotItem ()
| Destroy the QwtPlotItem.
void | attach (QwtPlot *plot)
| Attach the item to a plot.
void | detach ()
| This method detaches a QwtPlotItem from any QwtPlot it has been associated with.
QwtPlot * | plot () const
| Return attached plot.
void | setTitle (const QString &title)
void | setTitle (const QwtText &title)
const QwtText & | title () const
void | setItemAttribute (ItemAttribute, bool on=true)
bool | testItemAttribute (ItemAttribute) const
void | setItemInterest (ItemInterest, bool on=true)
bool | testItemInterest (ItemInterest) const
void | setRenderHint (RenderHint, bool on=true)
bool | testRenderHint (RenderHint) const
void | setRenderThreadCount (uint numThreads)
uint | renderThreadCount () const
void | setLegendIconSize (const QSize &)
QSize | legendIconSize () const
double | z () const
void | setZ (double z)
| Set the z value.
void | show ()
| Show the item.
void | hide ()
| Hide the item.
virtual void | setVisible (bool)
bool | isVisible () const
void | setAxes (QwtAxisId xAxis, QwtAxisId yAxis)
void | setXAxis (QwtAxisId)
QwtAxisId | xAxis () const
| Return xAxis.
void | setYAxis (QwtAxisId)
QwtAxisId | yAxis () const
| Return yAxis.
virtual void | itemChanged ()
virtual void | legendChanged ()
virtual void | getCanvasMarginHint (const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect, double &left, double &top, double &right, double &bottom) const
| Calculate a hint for the canvas margin.
virtual void | updateScaleDiv (const QwtScaleDiv &, const QwtScaleDiv &)
| Update the item to changes of the axes scale division.
virtual void | updateLegend (const QwtPlotItem *, const QList< QwtLegendData > &)
| Update the item to changes of the legend info.
QRectF | scaleRect (const QwtScaleMap &, const QwtScaleMap &) const
| Calculate the bounding scale rectangle of 2 maps.
QRectF | paintRect (const QwtScaleMap &, const QwtScaleMap &) const
| Calculate the bounding paint rectangle of 2 maps.
virtual QList< QwtLegendData > | legendData () const
| Return all information, that is needed to represent the item on the legend.
virtual QwtGraphic | legendIcon (int index, const QSizeF &) const

## Additional Inherited Members
Public Types inherited from QwtPlotItem
enum | RttiValues { Rtti_PlotItem = 0 , Rtti_PlotGrid , Rtti_PlotScale , Rtti_PlotLegend , Rtti_PlotMarker , Rtti_PlotCurve , Rtti_PlotSpectroCurve , Rtti_PlotIntervalCurve , Rtti_PlotHistogram , Rtti_PlotSpectrogram , Rtti_PlotGraphic , Rtti_PlotTradingCurve , Rtti_PlotBarChart , Rtti_PlotMultiBarChart , Rtti_PlotShape , Rtti_PlotTextLabel , Rtti_PlotZone , Rtti_PlotVectorField , Rtti_PlotUserItem = 1000 }
| Runtime type information. More...
enum | ItemAttribute { Legend = 0x01 , AutoScale = 0x02 , Margins = 0x04 }
| Plot Item Attributes. More...
enum | ItemInterest { ScaleInterest = 0x01 , LegendInterest = 0x02 }
| Plot Item Interests. More...
enum | RenderHint { RenderAntialiased = 0x1 }
| Render hints. More...
typedef QFlags< ItemAttribute > | ItemAttributes
typedef QFlags< ItemInterest > | ItemInterests
typedef QFlags< RenderHint > | RenderHints
Protected Member Functions inherited from QwtPlotItem
QwtGraphic | defaultIcon (const QBrush &, const QSizeF &) const
| Return a default icon from a brush.

## Detailed Description

A plot item, which displays a recorded sequence of QPainter commands.

QwtPlotGraphicItem renders a sequence of recorded painter commands into a specific plot area. Recording of painter commands can be done manually by QPainter or e.g. QSvgRenderer.

See also
  QwtPlotShapeItem, QwtPlotSvgItem

Definition at line 29 of file qwt_plot_graphicitem.h.

## Constructor & Destructor Documentation

## ◆ QwtPlotGraphicItem() [1/2]

QwtPlotGraphicItem::QwtPlotGraphicItem | ( | const QString & | title = QString() | ) |
| explicit

Constructor.

Sets the following item attributes:

- QwtPlotItem::AutoScale: true
- QwtPlotItem::Legend: false

Parameters

  title | Title

Definition at line 32 of file qwt_plot_graphicitem.cpp.

## ◆ QwtPlotGraphicItem() [2/2]

QwtPlotGraphicItem::QwtPlotGraphicItem | ( | const QwtText & | title | ) |
| explicit

Constructor.

Sets the following item attributes:

- QwtPlotItem::AutoScale: true
- QwtPlotItem::Legend: false

Parameters

  title | Title

Definition at line 47 of file qwt_plot_graphicitem.cpp.

## ◆ ~QwtPlotGraphicItem()

QwtPlotGraphicItem::~QwtPlotGraphicItem | ( |  | ) |
| virtual

Destructor.

Definition at line 54 of file qwt_plot_graphicitem.cpp.

## Member Function Documentation

## ◆ boundingRect()

QRectF QwtPlotGraphicItem::boundingRect | ( |  | ) | const
| override virtual

Bounding rectangle of the item.

Reimplemented from QwtPlotItem.

Definition at line 102 of file qwt_plot_graphicitem.cpp.

## ◆ draw()

void QwtPlotGraphicItem::draw | ( | QPainter * | painter,
|  | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap,
|  | const QRectF & | canvasRect ) const
| override virtual

Draw the item

Parameters

  painter | Painter
  xMap | X-Scale Map
  yMap | Y-Scale Map
  canvasRect | Contents rect of the plot canvas

Implements QwtPlotItem.

Definition at line 115 of file qwt_plot_graphicitem.cpp.

## ◆ graphic()

QwtGraphic QwtPlotGraphicItem::graphic | ( |  | ) | const

Returns
  Recorded sequence of painter commands

See also
  setGraphic()

Definition at line 96 of file qwt_plot_graphicitem.cpp.

## ◆ rtti()

int QwtPlotGraphicItem::rtti | ( |  | ) | const
| override virtual

Returns
  QwtPlotItem::Rtti_PlotGraphic

Reimplemented from QwtPlotItem.

Definition at line 71 of file qwt_plot_graphicitem.cpp.

## ◆ setGraphic()

void QwtPlotGraphicItem::setGraphic | ( | const QRectF & | rect,
|  | const QwtGraphic & | graphic )

Set the graphic to be displayed

Parameters

  rect | Rectangle in plot coordinates
  graphic | Recorded sequence of painter commands

Definition at line 82 of file qwt_plot_graphicitem.cpp.